
# trim changelog included in binary rpms
%global _changelog_trimtime %(date +%s -d "1 year ago")

%global kdepim_epoch 7

%if 0%{?epel} || 0%{?fedora}
%define blogilo 1
%endif

Name:    kdepim
Summary: KDE PIM (Personal Information Manager) applications
Epoch:   %{kdepim_epoch}
Version: 4.14.9
Release: 1%{?dist}

License: GPLv2
URL:     http://www.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/%{name}-%{version}.tar.xz

# revert http://websvn.kde.org/?view=revision&revision=1072331 (rebased to 4.6)
# for kopete-cryptography (mostly)
Patch0:  kdepim-4.11.90-install_kleopatra_headers.patch

## upstream patches

Provides: kdepim4 = %{version}-%{release}

# Make the kdepim package a metapackage for the entire PIM experience
# (except for akonadi-console)
Requires: akregator = %{version}-%{release}
%if 0%{?blogilo}
Requires: blogilo = %{version}-%{release}
%endif
Requires: kalarm = %{version}-%{release}
Requires: kjots = %{version}-%{release}
Requires: knode = %{version}-%{release}
Requires: knotes = %{version}-%{release}
Requires: ktimetracker = %{version}-%{release}
Requires: kontact = %{version}-%{release}

BuildRequires: baloo-devel >= 4.14
BuildRequires: bison flex
BuildRequires: boost-devel
BuildRequires: chrpath
BuildRequires: cyrus-sasl-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gpgme-devel
BuildRequires: grantlee-devel >= 0.4.0
BuildRequires: kactivities-devel
BuildRequires: kdelibs4-devel >= 4.14
BuildRequires: kdelibs4-webkit-devel
BuildRequires: kdepimlibs-devel >= 4.14.7
BuildRequires: kde-baseapps-devel >= 4.14
BuildRequires: libassuan-devel
%if 0%{?blogilo}
BuildRequires: libkgapi-devel >= 2.1.95
%endif
BuildRequires: pkgconfig(akonadi) >= 1.12.90
BuildRequires: pkgconfig(libical)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(QJson)
BuildRequires: pkgconfig(xpm) pkgconfig(xscrnsaver)
%if 0%{?fedora}
BuildRequires: prison-devel
%endif
BuildRequires: python-devel
BuildRequires: zlib-devel

%description
%{summary}, including:
* akregator: feed aggregator
%{?blogilo:* blogilo: blogging application, focused on simplicity and usability}
* kmail: email client
* knode: newsreader
* knotes: sticky notes for the desktop
* kontact: integrated PIM management
* korganizer: journal, appointments, events, todos

%package libs
Summary: %{name} runtime libraries
%description libs

%package devel
Summary:  %{name} development files
Provides: libkleopatra-devel = %{version}-%{release}
Provides: libkleopatra-devel%{?_isa} = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%description devel
%{summary}.

%package common
Summary: Common runtime dependencies needed by other KDE PIM applications
# change epoch here and below for new subpkgs introduced in 4.13.3-10
Epoch: 0
Conflicts: kdepim < 7:4.13.3-10
Requires: %{name}-libs%{?_isa} = %{kdepim_epoch}:%{version}-%{release}
Requires: kdepim4-runtime >= %{version}
%description common
%{summary}.

%package -n akonadiconsole
Summary: Akonadi developer tool
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n akonadiconsole
Akonadi Console is a tool for Akonadi developers that provides means of direct
interaction with the Akonadi storage, SQL debugging, protocol debugger and
other tools.

%package -n akregator
Summary: KDE new feed reader
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: akregator-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
%description -n akregator
Akregator is a KDE news feed reader. Feed readers provide a convenient way to
browse different kinds of content, including news, blogs, and other content from
online sites.

%package -n akregator-libs
Summary: Runtime libraries for Akregator
Epoch: 0
%description -n akregator-libs
%{summary}.

%package -n blogilo
Summary: KDE blogging client
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
%description -n blogilo
Blogilo is blogging client that supports various blogging systems, including
Wordpress, Blogspot, LiveJournal, and more.

%package -n kaddressbook
Summary: KDE Adress Book application
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kaddressbook-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
Requires: baloo-akonadi
%description -n kaddressbook
KAddressBook is an application to access and manage contacts and addressbooks.

%package -n kaddressbook-libs
Summary: Runtime libraries for KAddressBook
Epoch: 0
%description -n kaddressbook-libs
%{summary}.

%package -n kalarm
Summary: Personal alarm message, command and email scheduler for KDE
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
%description -n kalarm
%{summary}.

%package -n kjots
Summary: KDE Notes application
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
Requires: baloo-akonadi
%description -n kjots
KJots is an application for writing and organizing notes.

%package -n kleopatra
Summary: KDE certificate manager and unified crypto GUI
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kleopatra-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
Requires: dirmngr
Requires: gnupg2-smime
%description -n kleopatra
%{summary}.

%package -n kleopatra-libs
Summary: Runtime libraries for Kleopatra
Epoch: 0
%description -n kleopatra-libs
%{summary}.

%package -n kmail
Summary: KDE email client
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kmail-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kate4-part
# For GPG management
Requires: kleopatra = %{?epoch:%{epoch}:}%{version}-%{release}
# kmail searches for gpg instead of gpg2, breaking email encryption
# http://bugzilla.redhat.com/630249
# TODO: patch to use gpg2 (unconditionally or as in addition to gpg)
Requires: gnupg
Requires: baloo-akonadi
%if 0%{?fedora} || 0%{?rhel} > 6
##Optional bits
#Requires: bogofilter
Requires: pinentry-gui
#Requires: spamassassin
%endif
%description -n kmail
KMail is a full-featured email client for KDE.

%package -n kmail-libs
Summary: Runtime libraries for KMail
Epoch: 0
%description -n kmail-libs
%{summary}.

%package -n knode
Summary: A newsreader application for KDE
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: knode-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
%description -n knode
%{summary}.

%package -n knode-libs
Summary: Runtime libraries for KNode
Epoch: 0
%description -n knode-libs
%{summary}.

%package -n knotes
Summary: KDE application for popup notes
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: knotes-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
Requires: baloo-akonadi
%description -n knotes
%{summary}.

%package -n knotes-libs
Summary: Runtime libraries for KNotes
Epoch: 0
%description -n knotes-libs
%{summary}.

%package -n kontact
Summary: KDE Personal Information Management Suite
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kontact-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# These are only base applications withou
Requires: kaddressbook = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: kmail = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: korganizer = %{?epoch:%{epoch}:}%{version}-%{release}
%description -n kontact
%{summary}.

%package -n kontact-libs
Summary: Runtime libraries for Kontact
Epoch: 0
%description -n kontact-libs
%{summary}.

%package -n korganizer
Summary: KDE calendaring application
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: korganizer-libs%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
Requires: baloo-akonadi
%description -n korganizer
%{summary}.

%package -n korganizer-libs
Summary: Runtime libraries for KOrganizer
Epoch: 0
%description -n korganizer-libs
%{summary}.

%package -n ktimetracker
Summary: A KDE application for time and task management
Epoch: 0
Requires: %{name}-common = %{?epoch:%{epoch}:}%{version}-%{release}
%{?kde_runtime_requires}
%description -n ktimetracker
%{summary}.


%prep
%setup -q -n kdepim-%{version}%{?pre}

%patch0 -p1 -b .install_kleopatra_headers

# Ensure app .desktop files have Comment= fields to make appstream happier
grep '^Comment=' kmail/data/KMail2.desktop || echo "Comment=Send, receive and manage your mail with KMail" >> kmail/data/KMail2.desktop
grep '^Comment=' knode/KNode.desktop || echo "Comment=Usenet news (nntp) client" >> knode/KNode.desktop
grep '^Comment=' kontact/src/Kontact.desktop ||  echo "Comment=Kontact is the integrated solution to your personal information management (PIM) needs." >> kontact/src/Kontact.desktop


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# We disable kdepim-mobile because it doesn't actually work yet. (#717694)
# Plus, it should probably go to a subpackage once it actually does work.
%{cmake_kde4} \
  -DKDEPIM_BUILD_MOBILE:BOOL=OFF \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

for module in \
  akonadi_archivemail_agent akonadi_followupreminder_agent \
  akonadi_notes_agent akonadi_sendlater_agent \
  akregator %{?blogilo:blogilo} contactthemeeditor headerthemeeditor importwizard \
  kabcclient kalarm kioslave kjots kleopatra kmail kmailcvt knode knotes \
  konsolekalendar kontact kontact-admin korganizer ktimetracker ktnef \
  kwatchgnupg pimsettingexporter sieveeditor \
; do
%find_lang $module --with-kde --without-mo
done

# for pkgs that contain > 1 of the agove, combine some
cat kontact.lang kontact-admin.lang > kontact-all.lang
cat kmail.lang ktnef.lang headerthemeeditor.lang kmailcvt.lang sieveeditor.lang \
  akonadi_archivemail_agent.lang akonadi_followupreminder_agent.lang \
  akonadi_notes_agent.lang akonadi_sendlater_agent.lang \
  kioslave.lang > kmail-all.lang
cat kleopatra.lang kwatchgnupg.lang > kleopatra-all.lang
cat kabcclient.lang konsolekalendar.lang > akonadiconsole.lang
cat importwizard.lang pimsettingexporter.lang > common.lang

# not sure where this is coming from... -- Rex
chrpath --list   %{buildroot}%{_kde4_bindir}/kabc2mutt && \
chrpath --delete %{buildroot}%{_kde4_bindir}/kabc2mutt


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
# empty metapackage

%post common
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans common
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun common
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files common -f common.lang
%doc README COPYING COPYING.DOC COPYING.LIB
# own some kontact-related dirs here
%dir %{_kde4_appsdir}/kontact/
%dir %{_kde4_appsdir}/kontact/ksettingsdialog/
%dir %{_kde4_datadir}/kde4/services/kontact/
# calendarsupport
%{_kde4_datadir}/kde4/servicetypes/calendarplugin.desktop
# calendarviews
%{_kde4_datadir}/kde4/servicetypes/calendardecoration.desktop
# composereditor-ng
%{_kde4_appsdir}/composereditor/
# grantleetheme
%{_kde4_appsdir}/kconf_update/grantleetheme.upd
# importwizard - can import mails, addressbooks and calendars, hence -common
%{_kde4_bindir}/importwizard
%{_kde4_datadir}/applications/kde4/importwizard.desktop
%{_kde4_datadir}/icons/hicolor/*/apps/kontact-import-wizard.*
# incidenceeditor-ng
%{_kde4_bindir}/kincidenceeditor
# kresources
%{_kde4_libdir}/kde4/kcal_*.so
%{_kde4_datadir}/kde4/services/kresources/kcal/*.desktop
# libkdepim
%{_kde4_libdir}/kde4/plugins/designer/kdepimwidgets.so
%{_kde4_appsdir}/kdepimwidgets/
# libkpgp
%{_kde4_appsdir}/kconf_update/kpgp*
%dir %{_kde4_appsdir}/knode/
%dir %{_kde4_appsdir}/knode/pics
%{_kde4_appsdir}/knode/pics/key*
%dir %{_kde4_appsdir}/kmail2/
%dir %{_kde4_appsdir}/kmail2/pics/
%{_kde4_appsdir}/kmail2/pics/key*
# pimcommon
%{_kde4_libdir}/kde4/plugins/designer/pimcommonwidgets.so
%{_kde4_datadir}/icons/hicolor/*/apps/kdepim-dropbox.png
%{_kde4_datadir}/icons/hicolor/*/apps/kdepim-googledrive.png
# pimsettingexporter
%{_kde4_bindir}/pimsettingexporter
%{_kde4_appsdir}/pimsettingexporter/
%{_kde4_datadir}/applications/kde4/pimsettingexporter.desktop
# plugins
%{_kde4_libdir}/kde4/ktexteditorkabcbridge.so
%{_kde4_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so
# storageservicemanager - this is currently used by kmail only, but plans are
# to support other components too
%{_kde4_bindir}/storageservicemanager
%{_kde4_appsdir}/storageservicemanager/
%{_kde4_datadir}/applications/kde4/storageservicemanager.desktop
# templateparser
%{_kde4_datadir}/config.kcfg/customtemplates_kfg.kcfg
%{_kde4_datadir}/config.kcfg/templatesconfiguration_kfg.kcfg

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
# akonadi_next
%{_kde4_libdir}/libakonadi_next.so.*
# libcalendarsupport
%{_kde4_libdir}/libcalendarsupport.so.*
%{_kde4_libdir}/libcalendarsupportcollectionpage.so.*
# calendarviews
%{_kde4_libdir}/libeventviews.so.*
# composereditorng
%{_kde4_libdir}/libcomposereditorng.so.*
# grantlee
%{_kde4_libdir}/libgrantleethemeeditor.so.*
# grantleetheme
%{_kde4_libdir}/libgrantleetheme.so.*
# incidenceeditor-ng
%{_kde4_libdir}/libincidenceeditorsng.so.*
# FIXME: We are building -DKDEPIM_BUILD_MOBILE=OFF, this should not exist
%{_kde4_libdir}/libincidenceeditorsngmobile.so.*
# kresources
%{_kde4_libdir}/libkcal_*.so.*
# libkdepim
%{_kde4_libdir}/libkdepim.so.*
# libkdepimdbusinterfaces
%{_kde4_libdir}/libkdepimdbusinterfaces.so.*
# libkpgp
%{_kde4_libdir}/libkpgp.so.*
# pimcommon
%{_kde4_libdir}/libpimcommon.so.*
# pimsettingexporter (in -common)
%{_kde4_libdir}/libpimsettingexporterprivate.so.*
# templateparser
%{_kde4_libdir}/libtemplateparser.so.*
# kdgantt2
%{_kde4_libdir}/libkdgantt2.so.*

%files devel
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so

%post -n akonadiconsole
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n akonadiconsole
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n akonadiconsole
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n akonadiconsole -f akonadiconsole.lang
%{_kde4_bindir}/akonadiconsole
%{_kde4_appsdir}/akonadiconsole
%{_kde4_datadir}/applications/kde4/akonadiconsole.desktop
%{_kde4_datadir}/icons/hicolor/*/apps/akonadiconsole.*
# This is not from akonadiconsole, but from console - not sure if there's any
# use of this stuff outside dev environment
%{_kde4_bindir}/calendarjanitor
%{_kde4_bindir}/konsolekalendar
%{_kde4_datadir}/applications/kde4/konsolekalendar.desktop
%{_kde4_datadir}/icons/hicolor/*/apps/konsolekalendar.*
%{_kde4_bindir}/kabcclient
%{_kde4_bindir}/kabc2mutt
# doc
%{_mandir}/man1/kabcclient.1.gz

%post -n akregator
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n akregator
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n akregator
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n akregator -f akregator.lang
%{_kde4_bindir}/akregatorstorageexporter
%{_kde4_bindir}/akregator
%{_kde4_libdir}/kde4/akregatorpart.so
%{_kde4_libdir}/kde4/akregator_*.so
%{_kde4_datadir}/kde4/services/akregator_*.desktop
%{_kde4_datadir}/kde4/services/feed.protocol
%{_kde4_datadir}/kde4/servicetypes/akregator_plugin.desktop
%{_kde4_datadir}/config.kcfg/akregator.kcfg
%{_kde4_datadir}/applications/kde4/akregator.desktop
%{_kde4_datadir}/icons/hicolor/*/apps/akregator.*
%{_kde4_datadir}/icons/hicolor/*/apps/akregator_empty.png
%{_kde4_appsdir}/akregator
%{_kde4_appsdir}/akregator_sharemicroblog_plugin
%{_datadir}/dbus-1/interfaces/org.kde.akregator.part.xml
# Kontact integration
%{_kde4_libdir}/kde4/kontact_akregatorplugin.so
%{_kde4_datadir}/kde4/services/kontact/akregatorplugin.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/akregator.setdlg

%post -n akregator-libs -p /sbin/ldconfig
%postun -n akregator-libs -p /sbin/ldconfig

%files -n akregator-libs
%{_kde4_libdir}/libakregatorinterfaces.so.*
%{_kde4_libdir}/libakregatorprivate.so.*

%if 0%{?blogilo}
%post -n blogilo
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n blogilo
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n blogilo
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n blogilo -f blogilo.lang
%{_kde4_bindir}/blogilo
%{_kde4_datadir}/applications/kde4/blogilo.desktop
%{_kde4_datadir}/config.kcfg/blogilo.kcfg
%{_kde4_appsdir}/blogilo
%{_kde4_datadir}/icons/hicolor/*/apps/blogilo.png
%{_kde4_datadir}/icons/hicolor/*/actions/upload-media.png
%{_kde4_datadir}/icons/hicolor/*/actions/format-text-blockquote.png
%{_kde4_datadir}/icons/hicolor/*/actions/format-text-code.png
%{_kde4_datadir}/icons/hicolor/*/actions/insert-more-mark.png
%{_kde4_datadir}/icons/hicolor/*/actions/remove-link.png
%endif

%post -n kaddressbook
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n kaddressbook
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kaddressbook
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n kaddressbook -f contactthemeeditor.lang
%{_kde4_bindir}/kaddressbook
%{_kde4_libdir}/kde4/kaddressbookpart.so
%{_kde4_datadir}/kde4/services/kaddressbookpart.desktop
%{_kde4_datadir}/applications/kde4/kaddressbook.desktop
%{_kde4_datadir}/applications/kde4/kaddressbook-importer.desktop
%{_kde4_datadir}/config/kaddressbook_themes.knsrc
%{_kde4_datadir}/icons/hicolor/*/apps/kaddressbook.*
%{_kde4_appsdir}/kaddressbook
# Kontact integration
%{_kde4_libdir}/kde4/kontact_kaddressbookplugin.so
%{_kde4_datadir}/kde4/services/kontact/kaddressbookplugin.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/kaddressbook.setdlg
# grantleeeditor
%{_kde4_bindir}/contactthemeeditor
%{_kde4_appsdir}/contactthemeeditor/
%{_kde4_datadir}/applications/kde4/contactthemeeditor.desktop
# libkdepim
%{_kde4_libdir}/kde4/kcm_ldap.so
%{_kde4_datadir}/kde4/services/kcmldap.desktop
%{_datadir}/dbus-1/interfaces/org.kde.addressbook.service.xml

%post -n kaddressbook-libs -p /sbin/ldconfig
%postun -n kaddressbook-libs -p /sbin/ldconfig

%files -n kaddressbook-libs
%{_kde4_libdir}/libkaddressbookprivate.so.*
# kaddressbookgrantlee
%{_kde4_libdir}/libkaddressbookgrantlee.so.*

%post -n kalarm
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n kalarm
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kalarm
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n kalarm -f kalarm.lang
%{_kde4_bindir}/kalarm
%{_kde4_bindir}/kalarmautostart
%{_kde4_datadir}/applications/kde4/kalarm.desktop
%{_kde4_datadir}/autostart/kalarm.autostart.desktop
%{_kde4_datadir}/config.kcfg/kalarmconfig.kcfg
%{_kde4_appsdir}/kalarm/
%{_kde4_appsdir}/kconf_update/kalarm*
%{_kde4_libexecdir}/kalarm_helper
%{_sysconfdir}/dbus-1/system.d/org.kde.kalarmrtcwake.conf
%{_datadir}/dbus-1/system-services/org.kde.kalarmrtcwake.service
%{_datadir}/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%{_datadir}/polkit-1/actions/org.kde.kalarmrtcwake.policy
%{_kde4_datadir}/icons/hicolor/*/apps/kalarm.*

%post -n kjots
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans -n kjots
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kjots
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n kjots -f kjots.lang
%{_kde4_bindir}/kjots
%{_kde4_libdir}/kde4/kjotspart.so
%{_kde4_libdir}/kde4/kcm_kjots.so
%{_kde4_datadir}/kde4/services/kjotspart.desktop
%{_kde4_datadir}/kde4/services/kjots_config_misc.desktop
%{_kde4_datadir}/applications/kde4/Kjots.desktop
%{_kde4_datadir}/config.kcfg/kjots.kcfg
%{_kde4_appsdir}/kjots/
%{_kde4_datadir}/icons/hicolor/*/apps/kjots.*
%{_kde4_datadir}/icons/oxygen/*/actions/edit-delete-page.*
%{_kde4_libdir}/kde4/plasma_applet_akonotes_note.so
%{_kde4_datadir}/kde4/services/akonotes_note.desktop
%{_kde4_libdir}/kde4/plasma_applet_akonotes_list.so
%{_kde4_datadir}/kde4/services/akonotes_list.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/stickynote.svgz
# Kontact integration
%{_kde4_libdir}/kde4/kontact_kjotsplugin.so
%{_kde4_datadir}/kde4/services/kontact/kjots_plugin.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/kjots.setdlg

%post -n kleopatra
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n kleopatra
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kleopatra
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n kleopatra -f kleopatra-all.lang
%{_kde4_bindir}/kleopatra
%{_kde4_bindir}/kgpgconf
%{_kde4_bindir}/kwatchgnupg
%{_kde4_datadir}/applications/kde4/kleopatra.desktop
%{_kde4_datadir}/applications/kde4/kleopatra_import.desktop
%{_kde4_datadir}/kde4/services/kleopatra_*.desktop
%{_kde4_appsdir}/kleopatra/
%{_kde4_appsdir}/kwatchgnupg/
%{_kde4_libdir}/kde4/kcm_kleopatra.so
%{_kde4_datadir}/icons/hicolor/*/apps/kleopatra.*

%post -n kleopatra-libs -p /sbin/ldconfig
%postun -n kleopatra-libs -p /sbin/ldconfig

%files -n kleopatra-libs
%{_kde4_libdir}/libkleopatraclientcore.so.*
%{_kde4_libdir}/libkleopatraclientgui.so.*
# libkleo
%{_kde4_datadir}/config/libkleopatrarc
%{_kde4_appsdir}/libkleopatra/
%{_kde4_libdir}/libkleo.so.*

%post -n kmail
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans -n kmail
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kmail
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n kmail -f kmail-all.lang
%{_kde4_bindir}/kmail
%{_kde4_bindir}/kmail_*.sh
%{_kde4_libdir}/kde4/kcm_kpimidentities.so
%{_kde4_libdir}/kde4/kmailpart.so
%{_kde4_libdir}/kde4/kcm_kmail.so
%{_kde4_datadir}/applications/kde4/KMail2.desktop
%{_kde4_datadir}/applications/kde4/kmail_view.desktop
%{_kde4_datadir}/config.kcfg/kmail.kcfg
%{_kde4_datadir}/config/kmail*
%{_kde4_appsdir}/kmail2/
%{_kde4_datadir}/kde4/services/kmail_*.desktop
%{_kde4_datadir}/kde4/services/kcm_kpimidentities.desktop
%{_kde4_datadir}/kde4/servicetypes/dbusmail.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/kmail_addattachmentservicemenu.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kmail.*.xml
%{_kde4_datadir}/icons/hicolor/*/apps/kmail.*
%{_kde4_appsdir}/kconf_update/kmail.upd
%{_kde4_appsdir}/kconf_update/upgrade-transport.pl
%{_kde4_appsdir}/kconf_update/upgrade-signature.pl
%{_kde4_appsdir}/kconf_update/kmail-*
# Kontact integration
%{_kde4_libdir}/kde4/kontact_kmailplugin.so
%{_kde4_libdir}/kde4/kcm_kmailsummary.so
%{_kde4_datadir}/kde4/services/kontact/kmailplugin.desktop
%{_kde4_datadir}/kde4/services/kcmkmailsummary.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/kmail.setdlg
# agents
%{_kde4_datadir}/akonadi/agents/*.desktop
%{_kde4_bindir}/akonadi_*_agent
%{_kde4_appsdir}/kconf_update/migrate-kmail-filters.pl
%{_kde4_appsdir}/kconf_update/noteglobalsettings.upd
%{_kde4_appsdir}/kconf_update/mailfilteragent.upd
%{_kde4_appsdir}/akonadi_sendlater_agent/
%{_kde4_appsdir}/akonadi_archivemail_agent/
%{_kde4_appsdir}/akonadi_followupreminder_agent/
%{_kde4_appsdir}/akonadi_mailfilter_agent/
%{_kde4_appsdir}/akonadi_notes_agent/
# grantleetheme
%{_kde4_bindir}/headerthemeeditor
%{_kde4_appsdir}/headerthemeeditor/
%{_kde4_datadir}/applications/kde4/headerthemeeditor.desktop
# icons
%{_kde4_datadir}/icons/oxygen/*/mimetypes/x-mail-distribution-list.*
# kmailcvt
%{_kde4_bindir}/kmailcvt
%{_kde4_appsdir}/kmailcvt/
%{_kde4_datadir}/icons/hicolor/*/apps/kmailcvt.*
# ksendemail
%{_kde4_bindir}/ksendemail
# ktneff
%{_kde4_bindir}/ktnef
%{_kde4_datadir}/applications/kde4/ktnef.desktop
%{_kde4_appsdir}/ktnef/
%{_kde4_datadir}/icons/*/*/actions/ktnef_extract_all_to.png
%{_kde4_datadir}/icons/*/*/actions/ktnef_extract_to.png
%{_kde4_datadir}/icons/*/*/apps/ktnef.png
# libkdepim
%{_datadir}/dbus-1/interfaces/org.kde.mailtransport.service.xml
# libksieve
%{_kde4_datadir}/config/ksieve_script.knsrc
%{_kde4_appsdir}/sieve/
# mailcommon
%{_kde4_libdir}/kde4/plugins/designer/mailcommonwidgets.so
# mboximporter
%{_kde4_bindir}/mboximporter
%{_kde4_datadir}/applications/kde4/mboximporter.desktop
# messagelist
%{_kde4_appsdir}/messagelist/
# messageviewer
%{_kde4_appsdir}/messageviewer/
%{_kde4_appsdir}/libmessageviewer/
%{_kde4_datadir}/config/messageviewer_header_themes.knsrc
%{_kde4_libdir}/kde4/plugins/accessible/messagevieweraccessiblewidgetfactory.so
%dir %{_kde4_libdir}/kde4/plugins/grantlee/
%dir %{_kde4_libdir}/kde4/plugins/grantlee/*/
%{_kde4_libdir}/kde4/plugins/grantlee/*/grantlee_messageheaderfilters.so
# plugins
%{_kde4_libdir}/kde4/messageviewer_*.so
# sieveeditor
%{_kde4_bindir}/sieveeditor
%{_kde4_appsdir}/sieveeditor/
%{_kde4_datadir}/applications/kde4/sieveeditor.desktop

%post -n kmail-libs -p /sbin/ldconfig
%postun -n kmail-libs -p /sbin/ldconfig

%files -n kmail-libs
%{_kde4_libdir}/libkmailprivate.so.*
# agents
%{_kde4_libdir}/libfollowupreminder.so.*
%{_kde4_libdir}/libsendlater.so.*
# libsieve
%{_kde4_libdir}/libksieve.so.*
%{_kde4_libdir}/libkmanagesieve.so.*
%{_kde4_libdir}/libksieveui.so.*
# mailcommon
%{_kde4_libdir}/libmailcommon.so.*
# mailimporter
%{_kde4_libdir}/libmailimporter.so.*
# messagecompoer
%{_kde4_libdir}/libmessagecomposer.so.*
# messagecore
%{_kde4_libdir}/libmessagecore.so.*
# messagelist
%{_kde4_libdir}/libmessagelist.so.*
# messageviewer
%{_kde4_libdir}/libmessageviewer.so.*

%post -n knode
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n knode
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n knode
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n knode -f knode.lang
%{_kde4_bindir}/knode
%{_kde4_libdir}/kde4/kcm_knode.so
%{_kde4_libdir}/kde4/knodepart.so
%{_kde4_datadir}/applications/kde4/KNode.desktop
%{_kde4_datadir}/kde4/services/knode_*.desktop
%{_kde4_appsdir}/knode/
%{_kde4_appsdir}/kconf_update/knode.upd
%{_datadir}/dbus-1/interfaces/org.kde.knode.xml
%{_kde4_datadir}/icons/hicolor/*/apps/knode.*
# Kontact integration
%{_kde4_libdir}/kde4/kontact_knodeplugin.so
%{_kde4_datadir}/kde4/services/kontact/knodeplugin.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/knode.setdlg

%post -n knode-libs -p /sbin/ldconfig
%postun -n knode-libs -p /sbin/ldconfig

%files -n knode-libs
%{_kde4_libdir}/libknodecommon.so.*

%post -n knotes
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n knotes
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n knotes
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n knotes -f knotes.lang
%{_kde4_bindir}/knotes
%{_kde4_libdir}/kde4/kcm_knote.so
%{_kde4_datadir}/kde4/services/knote_*.desktop
%{_kde4_datadir}/applications/kde4/knotes.desktop
%{_datadir}/dbus-1/interfaces/org.kde.KNotes.xml
%{_datadir}/dbus-1/interfaces/org.kde.kontact.KNotes.xml
%{_kde4_appsdir}/knotes
%{_kde4_datadir}/icons/hicolor/*/apps/knotes.*
%{_kde4_datadir}/icons/hicolor/*/actions/knotes_*.png
%{_kde4_datadir}/config.kcfg/knotesglobalconfig.kcfg
%{_kde4_datadir}/config/knotes_printing_theme.knsrc
# Kontact integration
%{_kde4_libdir}/kde4/kontact_knotesplugin.so
%{_kde4_libdir}/kde4/kcm_knotessummary.so
%{_kde4_datadir}/kde4/services/kontact/knotesplugin.desktop
%{_kde4_datadir}/kde4/services/kcmknotessummary.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/knotes.setdlg

%post -n knotes-libs -p /sbin/ldconfig
%postun -n knotes-libs -p /sbin/ldconfig

%files -n knotes-libs
%{_kde4_libdir}/libknotesprivate.so.*
# noteshared
%{_kde4_libdir}/libnoteshared.so.*

%post -n kontact
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n kontact
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n kontact
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n kontact -f kontact-all.lang
%{_kde4_bindir}/kontact
%{_kde4_libdir}/kde4/kcm_kontact.so
%{_kde4_datadir}/applications/kde4/Kontact.desktop
%{_kde4_datadir}/applications/kde4/kontact-admin.desktop
%{_kde4_datadir}/config.kcfg/kontact.kcfg
%{_kde4_datadir}/kde4/services/kontactconfig.desktop
%{_kde4_appsdir}/kontact
%exclude %{_kde4_appsdir}/kontact/ksettingsdialog
%{_kde4_datadir}/icons/hicolor/*/apps/kontact.*
# Summary page
%{_kde4_libdir}/kde4/kontact_summaryplugin.so
%{_kde4_libdir}/kde4/kcm_kontactsummary.so
%{_kde4_datadir}/kde4/services/kontact/summaryplugin.desktop
%{_kde4_datadir}/kde4/services/kcmkontactsummary.desktop
%{_kde4_appsdir}/kontactsummary
%{_kde4_appsdir}/kontact/ksettingsdialog/summary.setdlg
# Special dates page
%{_kde4_libdir}/kde4/kontact_specialdatesplugin.so
%{_kde4_libdir}/kde4/kcm_sdsummary.so
%{_kde4_datadir}/kde4/services/kontact/specialdatesplugin.desktop
%{_kde4_datadir}/kde4/services/kcmsdsummary.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/specialdates.setdlg

%post -n kontact-libs -p /sbin/ldconfig
%postun -n kontact-libs -p /sbin/ldconfig

%files -n kontact-libs
%{_kde4_libdir}/libkontactprivate.so.*

%post -n korganizer
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans -n korganizer
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n korganizer
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n korganizer -f korganizer.lang
%{_kde4_bindir}/korganizer
%{_kde4_bindir}/ical2vcal
%{_kde4_libdir}/kde4/kcm_korganizer.so
%{_kde4_libdir}/kde4/korganizerpart.so
%{_kde4_libdir}/kde4/korg_*.so
%{_kde4_datadir}/config.kcfg/korganizer.kcfg
%{_kde4_appsdir}/kconf_update/korganizer.upd
%{_kde4_datadir}/kde4/services/webcal.protocol
%{_datadir}/dbus-1/interfaces/org.kde.Korganizer.*.xml
%{_datadir}/dbus-1/interfaces/org.kde.korganizer.*.xml
%{_kde4_datadir}/config/korganizer.knsrc
%{_kde4_datadir}/applications/kde4/korganizer.desktop
%{_kde4_datadir}/applications/kde4/korganizer-import.desktop
%{_kde4_appsdir}/korganizer
%{_kde4_datadir}/icons/hicolor/*/apps/korg-journal.*
%{_kde4_datadir}/icons/hicolor/*/apps/korg-todo.*
%{_kde4_datadir}/icons/hicolor/*/apps/korganizer.*
%{_kde4_datadir}/icons/oxygen/*/actions/smallclock.png
%{_kde4_datadir}/icons/oxygen/*/actions/upindicator.png
%{_kde4_datadir}/icons/oxygen/*/actions/checkmark.png
%{_kde4_datadir}/kde4/services/korganizer
%{_kde4_datadir}/kde4/services/korganizer_*.desktop
%{_kde4_datadir}/kde4/servicetypes/dbuscalendar.desktop
# Kontact integration
%{_kde4_libdir}/kde4/kcm_apptsummary.so
%{_kde4_libdir}/kde4/kcm_todosummary.so
%{_kde4_libdir}/kde4/kontact_korganizerplugin.so
%{_kde4_libdir}/kde4/kontact_todoplugin.so
%{_kde4_libdir}/kde4/kontact_journalplugin.so
%{_kde4_datadir}/kde4/services/kontact/korganizerplugin.desktop
%{_kde4_datadir}/kde4/services/kontact/todoplugin.desktop
%{_kde4_datadir}/kde4/services/kontact/journalplugin.desktop
%{_kde4_datadir}/kde4/services/kcmapptsummary.desktop
%{_kde4_datadir}/kde4/services/kcmtodosummary.desktop
%{_kde4_appsdir}/kontact/ksettingsdialog/korganizer.setdlg
# korgac
%{_kde4_bindir}/korgac
%{_kde4_datadir}/autostart/korgac.desktop
%{_kde4_appsdir}/korgac

%post -n korganizer-libs -p /sbin/ldconfig
%postun -n korganizer-libs -p /sbin/ldconfig

%files -n korganizer-libs
%{_kde4_libdir}/libkorganizer_interfaces.so.*
%{_kde4_libdir}/libkorganizer_core.so.*
%{_kde4_libdir}/libkorganizerprivate.so.*

%post -n ktimetracker
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n ktimetracker
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun -n ktimetracker
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null ||:
fi

%files -n ktimetracker -f ktimetracker.lang
%{_kde4_bindir}/karm
%{_kde4_bindir}/ktimetracker
%{_kde4_libdir}/kde4/kcm_ktimetracker.so
%{_kde4_libdir}/kde4/ktimetrackerpart.so
%{_kde4_datadir}/kde4/services/ktimetracker*.desktop
%{_kde4_appsdir}/ktimetracker
%{_kde4_datadir}/icons/hicolor/*/apps/ktimetracker.*
%{_datadir}/dbus-1/interfaces/org.kde.ktimetracker.ktimetracker.xml
%{_kde4_datadir}/applications/kde4/ktimetracker.desktop


%changelog
* Wed Jun 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.9-1
- 4.14.9

* Thu May 21 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.8-2
- kleopatra: Requires: dirmngr

* Fri May 15 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.8-1
- 4.14.8

* Sun Apr 12 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.7-2
- bump build deps: grantlee >= 0.5.0, kdepimlibs >= 4.14.7

* Fri Apr 10 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.7-1
- 4.14.7

* Sun Mar 01 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.6-1
- 4.14.6

* Tue Feb 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.5-1
- 4.14.5

* Sat Feb 21 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.4-7
- kmail: drop Requires: spambayes (currently orphaned pkg)

* Wed Feb 18 2015 Daniel Vrátil <dvratil@redhat.com> - 7:4.14-4-6
- drop "Requires: foo" from foo-libs subpackages (#1155812)

* Sat Jan 31 2015 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.4-5
- -kmail: Requires: kate4-part

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 7:4.14.4-4
- Rebuild for boost 1.57.0

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 7:4.14.4-3
- Rebuild for boost 1.57.0

* Thu Jan 22 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.4-2
- include .desktop Comment= fields for kmail, knode, kontact to make appstream happier

* Fri Jan 16 2015 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.4-1
- 4.14.4

* Sun Nov 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.3-1
- 4.14.3

* Sun Oct 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.2-1
- 4.14.2

* Sat Sep 27 2014 Rex Dieter <rdieter@fedoraproject.org> 7:4.14.1-2
- kleopatra: Requires: gnupg2-smime

* Tue Sep 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.1-1
- 4.14.1

* Mon Aug 18 2014 Daniel Vrátil <dvratil@redhat.com> - 7:4.14.0-3
- Make sure baloo-akonadi is installed

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.14.0-1
- 4.14.0

* Tue Aug 05 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.97-1
- 4.13.97

* Wed Jul 23 2014 Rex Dieter <rdieter@fedoraproject.org> 7:4.13.3-11
- -common: fix -libs dep (typo wrt epoch)

* Tue Jul 22 2014 Daniel Vrátil <dvratil@redhat.com> - 7:4.13.3-10
- split monolithic kdepim package into per-app subpackages
- drop some old build deps (nepomuk-related mostly)

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.3-1
- 4.13.3

* Thu Jun 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.2-2
- BR: kdelibs4-webkit-devel

* Mon Jun 09 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.2-1
- 4.13.2

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 7:4.13.1-2
- Rebuild for boost 1.55.0

* Sun May 11 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.1-1
- 4.13.1

* Sat Apr 12 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.13.0-1
- 4.13.0

* Fri Apr 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.97-1
- 4.12.97

* Sun Mar 23 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.95-1
- 4.12.95

* Thu Mar 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 7:4.12.90-2
- apply upstream fix for sieveeditor.desktop, make validation mandatory again

* Wed Mar 19 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.90-1
- 4.12.90

* Sun Mar 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.3-1
- 4.12.3

* Fri Jan 31 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.2-1
- 4.12.2

* Fri Jan 10 2014 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.1-1
- 4.12.1

* Thu Dec 19 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.12.0-1
- 4.12.0

* Sun Dec 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.97-1
- 4.11.97

* Thu Nov 21 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.95-1
- 4.11.95

* Sat Nov 16 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.90-1
- 4.11.90

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.11.1-1
- 4.11.1

* Thu Aug 08 2013 Than Ngo <than@redhat.com> - 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 7:4.10.97-2
- Rebuild for boost 1.54.0

* Thu Jul 25 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.97-1
- 4.10.97

* Tue Jul 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.95-1
- 4.10.95

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 7:4.10.90-2
- Perl 5.18 rebuild

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.90-1
- 4.10.90

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.4-1
- 4.10.4

* Fri May 10 2013 Rex Dieter <rdieter@fedoraproject.org> -7:4.10.3-2
- pull in some upstream fixes

* Mon May 06 2013 Than Ngo <than@redhat.com> - 7:4.10.3-1
- 4.10.3

* Tue Apr 16 2013 Daniel Vrátil <dvratil@redhat.com> 7:4.10.2-3
- multipart messages displayed twice in KMail (kde#318182)

* Mon Apr 08 2013 Rex Dieter <rdieter@fedoraproject.org> 7:4.10.2-2
- pull in some upstream fixes, in particular...
- address completion from akonadi regresssion (kde#259949)

* Mon Apr 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.1-1
- 4.10.1

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.0-1
- 4.10.0

* Tue Jan 22 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.97-1
- 4.9.97

* Sun Dec 23 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.95-2
- 4.9.95

* Tue Dec 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.90-1
- 4.9.90

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Mon Nov 12 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.9.3-2
- move importwizard.desktop out of Lost+Found

* Sat Nov 03 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.3-1
- 4.9.3

* Thu Nov 1 2012 Lukáš Tinkl<ltinkl@redhat.com> 7:4.9.2-2
- build against prison only under Fedora

* Sat Sep 29 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 7:4.9.1-1
- 4.9.1

* Sat Aug 25 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.9.0-4
- BR: prison-devel

* Sat Aug 25 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.9.0-3
- filtering removes email's content (kde#295484)

* Fri Aug 17 2012 Lukas Tinkl <ltinkl@redhat.com> - 7:4.9.0-2
- Resolves: #813257 - Ktimetracker shows only an empty window

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 7:4.9.0-1
- 4.9.0

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.97-1
- 4.8.97

* Fri Jul 06 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.95-3
- .spec cleanup

* Thu Jul 05 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.95-2
- upstream filter-rework patch

* Wed Jun 27 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.95-1
- 4.8.95

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.90-1
- 4.8.90

* Sun Jun 03 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.80-1
- 4.8.80
- add locolor icons again
- fix appsdir filelist

* Mon Apr 30 2012 Rex Dieter <rdieter@fedoraproject.org> 7:4.8.3-2
- s/kdebase-runtime/kde-runtime/

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.2-1
- 4.8.2

* Thu Mar 29 2012 Rex Dieter <rdieter@fedoraproject.org> 4.8.1-4
- Kalarm not allowing editing or deleting of alarms (#808066)

* Mon Mar 12 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-3
- fix version
- remove g++47 patch as it's already applied upstream

* Tue Mar 06 2012 Than Ngo <than@redhat.com> - 4.8.1-2
- respin

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 7:4.8.1-1
- 4.8.1
- add missing ontologies

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7:4.8.0-2
- Rebuilt for c++ ABI breakage

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 7:4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Radek Novacek <rnovacek@redhat.com> - 7:4.7.97-1
- 4.7.97
- fix build with g++ 4.7

* Wed Dec 21 2011 Radek Novacek <rnovacek@redhat.com> - 7:4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 7:4.7.90-1
- 4.7.90

* Fri Nov 25 2011 Radek Novacek <rnovacek@redhat.com> 7:4.7.80-1
- 4.7.80 (beta 1)
- add BR: kdebase-devel
- drop "nepomuk disabled spam" patch, patched file not exists

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.3-1
- 4.7.3

* Mon Oct 24 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-7
- pkgconfig-style deps

* Sun Oct 16 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.7.2-6
- rebuild for patched Qt in Rawhide (#746252)

* Fri Oct 14 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.7.2-5
- fix KMail migration (kde#283563)

* Thu Oct 13 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-4
- disable akonadi nepomuk/strigi notification spam

* Sat Oct 08 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-2
- Requires: kate-part

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.7.2-1
- 4.7.2

* Fri Sep 02 2011 Than Ngo <than@redhat.com> - 7:4.7.1-1
- 4.7.1

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Jaroslav Reznik <jreznik@redhat.com> 7:4.6.95-1
- 4.6.95

* Thu Jun 30 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.90-1
- 4.6.90

* Wed Jun 29 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> 7:4.6.0-2
- Disable kdepim-mobile until it actually works (#717694)

* Fri Jun 10 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.6.0-1
- 4.6.0

* Fri May 13 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.96-1
- 4.5.96 (4.6rc1)

* Tue May 10 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.95-2
- Requires: gnupg (#630249)

* Thu Apr 14 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.95-1
- 4.5.95 (4.6beta5)

* Thu Feb 24 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.94.1-4
- Provides: kde-l10n-kdepim

* Thu Feb 10 2011 Rex Dieter <rdieter@fedoraproject.org> 7:4.5.94.1-3
- Epoch++
- Requires: kdepim4-runtime

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.5.94.1-1
- 4.5.94.1 (4.6beta4)

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.93-1
- 4.5.93 (4.6beta3)

* Wed Dec 08 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.5.85-2
- restore and rebase install-headers patch for kopete-cryptography (#660951)

* Sat Dec 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.5.85-1
- 4.5.85 (4.6beta2)

* Wed Nov 24 2010 Rex Dieter <rdieter@fedoraproject.org> 4.5.80-1
- 4.5.80 (4.6beta1)

* Tue Nov 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-5
- re-activated kdepim-devel for basket_kontact plugin

* Tue Oct 19 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.93-4
- own %%_libdir/akonadi/contact (#644540)

* Wed Sep 01 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-3
- fixed botched obsoletes

* Wed Sep 01 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.93-2
- fix Obsoletes: kdepim-devel
- BR: kdepimlibs-devel >= 4.5.1

* Tue Aug 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.93-1
- 4.4.93 (4.5 beta3)

* Fri Aug 13 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- BR: libassuan2-devel

* Wed Aug 11 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.92-1
- 4.4.92 (4.5 beta2)

* Tue Jul 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-0.2.beta1
- Requires: kdebase-runtime

* Fri Jul 02 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5-0.1.beta1
- 4.5-beta1

* Tue Jun 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.5-1
- 4.4.5

* Sun May 30 2010 Than Ngo <than@redhat.com> - 6:4.4.4-1
- 4.4.4

* Tue May 04 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.3-1.1
- rebuild against correct tag

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 6:4.4.3-1
- 4.4.3

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.2-1
- 4.4.2

* Tue Mar 02 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.1-2
- tarball respin
- don't install an .so file into datadir

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.1-1
- 4.4.1

* Fri Feb 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.0-5
- un-arch kdepim-runtime dep (it's not multilib'd)

* Sat Feb 13 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 6:4.4.0-4
- ship -devel package again, kopete-cryptography needs it to build (#564406)

* Tue Feb 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 6:4.4.0-3
- drop BR: gnokii-devel (not used)
- drop var-tracking patch (gcc fixed)

* Tue Feb 09 2010 Lukas Tinkl <ltinkl@redhat.com> - 6:4.4.0-2
- fix Kontact startup

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 6:4.4.0-1
- 4.4.0
